Bug 205588 - gnome-terminal wakes up a few times a second when idle
Summary: gnome-terminal wakes up a few times a second when idle
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: wakeup
TreeView+ depends on / blocked
 
Reported: 2006-09-07 14:28 UTC by dann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 03:09:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 354801 None None None Never

Description dann 2006-09-07 14:28:04 UTC
strace -p PID_OF_GNOME_TERMINAL

shows that gnome-terminal is doing this kind of stuff a few times a second:

poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, -1) = 1
read(3, "\1\0\200\t\0\0\0\0\4\4\0\0\0\0\0\0\0\0\4\0\0\0\0\0\0\0"..., 32) = 32
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1157639079, 273142}, NULL) = 0
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=11,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN}],
9, 50) = 0
gettimeofday({1157639079, 323210}, NULL) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1157639079, 323456}, NULL) = 0

This is when cursor blinking is turned off, and there's no activity on a freshly
started gnome-terminal.

This is a similar problem to the ones tracked in bug #204948

Comment 1 Arjan van de Ven 2006-09-07 15:56:25 UTC
there's not much that can be done about a blinking cursor.. that needs to happen.

the only thing that can be done is to stop the blinking whenever possible....
like when the terminal isn't visible or .. maybe after like a few minutes of
inactivity or whatever

Comment 2 dann 2006-09-07 16:07:39 UTC
(In reply to comment #1)
> there's not much that can be done about a blinking cursor.. that needs to happen.

Please note that these wakeups happen when the cursor blinking is turned OFF,
and the terminal is not the selected window!

Comment 3 Behdad Esfahbod 2006-09-07 16:43:46 UTC
Upstreamed: http://bugzilla.gnome.org/show_bug.cgi?id=354801

Comment 4 Nick Lamb 2007-02-08 21:11:49 UTC
Looks like this is fixed?

http://bugzilla.gnome.org/show_bug.cgi?id=356552

Comment 5 Matthias Clasen 2007-02-09 03:09:27 UTC
Yes, should be fixed.


Note You need to log in before you can comment on or make changes to this bug.